# Otland Docs

## OTS Guide

- [Introduction](https://docs.otland.net/readme.md)
- [Compiling](https://docs.otland.net/compiling.md): Instructions for compiling TFS from source.
- [Compile on Arch](https://docs.otland.net/compiling/compile-on-arch.md)
- [Compiling on CentOS](https://docs.otland.net/compiling/compiling-on-centos.md)
- [Compiling on Debian GNU Linux](https://docs.otland.net/compiling/compiling-on-debian-gnu-linux.md)
- [Compiling on Fedora](https://docs.otland.net/compiling/compiling-on-fedora.md)
- [Compiling on FreeBSD](https://docs.otland.net/compiling/compiling-on-freebsd.md)
- [Compiling on Gentoo](https://docs.otland.net/compiling/compiling-on-gentoo.md)
- [Compiling on Mac OS X](https://docs.otland.net/compiling/compiling-on-mac-os-x.md)
- [Compiling on Ubuntu](https://docs.otland.net/compiling/compiling-on-ubuntu.md)
- [Compiling on Windows](https://docs.otland.net/compiling/compiling-on-windows.md)
- [Compiling on Windows (vcpkg)](https://docs.otland.net/compiling/compiling-on-windows-vcpkg.md)
- [Running your first OT Server](https://docs.otland.net/running-your-first-ot-server.md)
- [Setting up your first server](https://docs.otland.net/running-your-first-ot-server/setting-up-your-first-server.md)
- [Connecting to your server](https://docs.otland.net/running-your-first-ot-server/connecting-to-your-server.md)
- [Editing your datapack](https://docs.otland.net/running-your-first-ot-server/editing-your-data-pack.md)
- [Opening your server to the public](https://docs.otland.net/running-your-first-ot-server/opening-your-server-to-the-public.md)
- [TFS documentation](https://docs.otland.net/tfs-documentation.md)
- [TFS 1.4 official release](https://docs.otland.net/tfs-documentation/tfs-1.4.md)
- [LuaScript Interface](https://docs.otland.net/tfs-documentation/luascript-interface.md)
- [Action](https://docs.otland.net/tfs-documentation/luascript-interface/action.md): Action's Event Interface
- [ChatChannel](https://docs.otland.net/tfs-documentation/luascript-interface/chatchannel.md)
- [CreatureEvent](https://docs.otland.net/tfs-documentation/luascript-interface/creatureevent.md)
- [GlobalEvents](https://docs.otland.net/tfs-documentation/luascript-interface/globalevents.md)
- [MoveEvent](https://docs.otland.net/tfs-documentation/luascript-interface/moveevent.md)
- [Lua functions](https://docs.otland.net/tfs-documentation/lua_functions.md)
- [Metatables](https://docs.otland.net/tfs-documentation/metatables.md)
- [Game](https://docs.otland.net/tfs-documentation/metatables/game_interface.md)
- [Glossary](https://docs.otland.net/glossary.md)
- [Running your first ubuntu linux OT](https://docs.otland.net/running-your-first-linux-web-and-otserver.md)

## Lua Guide

- [Introduction](https://docs.otland.net/lua-guide/readme.md): The goal of this guide is to provide a way for anybody to learn Lua, regardless of previous programming experience or knowledge of programming fundamentals.
- [Introduction](https://docs.otland.net/lua-guide/fundamentals-1/fundamentals-introduction.md): What you'll need to know before moving on.
- [Types](https://docs.otland.net/lua-guide/fundamentals-1/types.md)
- [Variables](https://docs.otland.net/lua-guide/fundamentals-1/variables.md)
- [Operators](https://docs.otland.net/lua-guide/fundamentals-1/operators.md)
- [Control Structures](https://docs.otland.net/lua-guide/fundamentals-1/control-structures.md)
- [Loops](https://docs.otland.net/lua-guide/fundamentals-1/loops.md)
- [Scopes](https://docs.otland.net/lua-guide/fundamentals-1/scopes.md)
- [Closures](https://docs.otland.net/lua-guide/concepts/closures.md)
- [Iterators](https://docs.otland.net/lua-guide/concepts/iterators.md)
- [Recursion](https://docs.otland.net/lua-guide/concepts/recursion.md)
- [Metatables](https://docs.otland.net/lua-guide/concepts/metatables.md)
- [Weak Tables](https://docs.otland.net/lua-guide/concepts/weak-tables.md)
- [Memoization](https://docs.otland.net/lua-guide/concepts/memoization.md)
- [Object-Oriented Programming](https://docs.otland.net/lua-guide/concepts/object-oriented-programming.md)
- [Basic](https://docs.otland.net/lua-guide/standard-libraries/basic.md)
- [String](https://docs.otland.net/lua-guide/standard-libraries/string.md)
- [Table](https://docs.otland.net/lua-guide/standard-libraries/table.md)
- [Math](https://docs.otland.net/lua-guide/standard-libraries/math.md)
- [IO](https://docs.otland.net/lua-guide/standard-libraries/io.md)
- [Coroutine](https://docs.otland.net/lua-guide/standard-libraries/coroutine.md)
- [OS (Operating System)](https://docs.otland.net/lua-guide/standard-libraries/os-operating-system.md)
- [Package](https://docs.otland.net/lua-guide/standard-libraries/package.md)
- [Optimizations](https://docs.otland.net/lua-guide/auxiliary/optimizations.md)
- [Benchmarking](https://docs.otland.net/lua-guide/auxiliary/benchmarking.md)
- [Errors](https://docs.otland.net/lua-guide/auxiliary/errors.md)
- [Debugging](https://docs.otland.net/lua-guide/auxiliary/debugging.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
This site has an agentic ask interface you may use to query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.otland.net/index.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
